package main

import (
	"net/http"

	"git.niplace.ru/XoxJlopeZ_1488/clock"
	// "clock/imageutils"
)

func Check(err error) {
	if err != nil {
		panic(err)
	}
}

func main() {
	addrwithport := "localhost:1488"
	http.HandleFunc("/", 
		func(w http.ResponseWriter, req *http.Request){
			clock.Time(w)
		},
	)
	
	println("this thingy running on", addrwithport)
	Check(http.ListenAndServe(addrwithport, nil)) 
}
